> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fnskutoasin.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Finish Info Task



## OpenAPI

````yaml post /v2/InfoTask/Finish
openapi: 3.0.0
info:
  title: ATO.BARCODE
  description: '<h4>Baseurl: <strong>https://ato.fnskutoasin.com</strong></h4>'
  version: 1.0.0
servers:
  - url: https://ato.fnskutoasin.com/api
security: []
paths:
  /v2/InfoTask/Finish:
    post:
      tags:
        - InfoTask
      summary: Finish Info Task
      operationId: InfoTask_Finish2
      parameters:
        - name: apiKey
          in: header
          schema:
            type: string
            nullable: true
          x-position: 1
      requestBody:
        x-name: command
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FinnishInfoTaskV2CommandOfJsonDocument'
            examples:
              Amazon:
                value:
                  mainCode: Asin
                  provider: 0
                  details:
                    asin: Asin
                    title: Title
                    price: Price
                    format: Format
                    retailPrice: RetailPrice
                    offerCount: OfferCount
                    weight: Weight
                    dimensions: Dimensions
                    shippedBy: ShippedBy
                    priceAndFreeShipping: PriceAndFreeShipping
                    category: Category
                    priceAndSpecificShipping: PriceAndSpecificShipping
                    upc: UPC
                    imageOneUrl: ImageOneUrl
                    imageTwoUrl: ImageTwoUrl
                    imageThreeUrl: ImageThreeUrl
                    imageFourUrl: ImageFourUrl
                    imageFiveUrl: ImageFiveUrl
                    imageSixUrl: ImageSixUrl
                    condition: Condition
                    rating: Rating
                    numberOfRatings: NumberOfRatings
              Walmart:
                value:
                  mainCode: MainCode
                  provider: 1
                  details:
                    name: Name
                    category: Category
                    description: Description
                    brand: Brand
                    price: Price
                    availabilityStatus: AvailabilityStatus
                    averageRating: AverageRating
                    numberOfReviews: NumberOfReviews
                    link: Link
                    imageOneUrl: ImageOneUrl
                    imageTwoUrl: ImageTwoUrl
                    imageThreeUrl: ImageThreeUrl
                    imageFourUrl: ImageFourUrl
                    imageFiveUrl: ImageFiveUrl
                    imageSixUrl: ImageSixUrl
              Homedepot:
                value:
                  mainCode: MainCode
                  provider: 2
                  details:
                    title: Title
                    price: Price
                    category: Category
                    internetBarcode: InternetBarcode
                    modelNumber: ModelNumber
                    storeBarcode: StoreBarcode
                    imageUrl: ImageUrl
                    imageOneUrl: ImageOneUrl
                    imageTwoUrl: ImageTwoUrl
                    imageThreeUrl: ImageThreeUrl
                    imageFourUrl: ImageFourUrl
                    imageFiveUrl: ImageFiveUrl
                    imageSixUrl: ImageSixUrl
              Target:
                value:
                  mainCode: MainCode
                  provider: 3
                  details:
                    name: Name
                    brand: Brand
                    price: Price
                    category: Category
                    retailerBarcode: RetailerBarcode
                    imageOneUrl: ImageOneUrl
                    imageTwoUrl: ImageTwoUrl
                    imageThreeUrl: ImageThreeUrl
                    imageFourUrl: ImageFourUrl
                    imageFiveUrl: ImageFiveUrl
                    imageSixUrl: ImageSixUrl
        required: true
        x-position: 2
      responses:
        '200':
          description: Status 200 OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResultOfLong'
components:
  schemas:
    FinnishInfoTaskV2CommandOfJsonDocument:
      type: object
      additionalProperties: false
      required:
        - mainCode
      properties:
        mainCode:
          type: string
          minLength: 1
        provider:
          $ref: '#/components/schemas/InfoTaskProvider'
        details:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/JsonDocument'
    ResultOfLong:
      allOf:
        - $ref: '#/components/schemas/Result'
        - type: object
          additionalProperties: false
          properties:
            data:
              type: integer
              format: int64
    InfoTaskProvider:
      type: integer
      description: |-
        0 = Amazon
        1 = Walmart
        2 = Homedepot
        3 = Target
      x-enumNames:
        - Amazon
        - Walmart
        - Homedepot
        - Target
      enum:
        - 0
        - 1
        - 2
        - 3
    JsonDocument:
      type: object
      additionalProperties: false
      properties:
        rootElement: {}
    Result:
      type: object
      additionalProperties: false
      properties:
        messages:
          type: array
          nullable: true
          items:
            type: string
        succeeded:
          type: boolean

````